import { Envelope } from './envelope.js';
import { z, type ZodSchema } from 'zod';
import type { ParsedResult } from '../types/parser.js';
/**
 * API Gateway envelope to extract data within body key
 */
export declare class ApiGatewayEnvelope extends Envelope {
    static parse<T extends ZodSchema>(data: unknown, schema: T): z.infer<T>;
    static safeParse<T extends ZodSchema>(data: unknown, schema: T): ParsedResult<unknown, z.infer<T>>;
}
//# sourceMappingURL=apigw.d.ts.map