import { Envelope } from './envelope.js';
import { z, type ZodSchema } from 'zod';
import type { ParsedResult } from '../types/index.js';
/**
 * Envelope for EventBridge schema that extracts and parses data from the `detail` key.
 */
export declare class EventBridgeEnvelope extends Envelope {
    static parse<T extends ZodSchema>(data: unknown, schema: T): z.infer<T>;
    static safeParse<T extends ZodSchema>(data: unknown, schema: T): ParsedResult;
}
//# sourceMappingURL=event-bridge.d.ts.map